Bug 1686045 - [RFE] Add ability to Download Wrapper Logs from UI
Summary: [RFE] Add ability to Download Wrapper Logs from UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.3
Assignee: Fabien Dupont
QA Contact: Shveta
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On: 1655124
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 15:24 UTC by Satoe Imaishi
Modified: 2019-04-30 09:34 UTC (History)
7 users (show)

Fixed In Version: 5.10.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1655124
Environment:
Last Closed: 2019-04-23 07:46:21 UTC
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)
Download wrapper log option is added to the menu (82.34 KB, image/png)
2019-03-14 19:52 UTC, Shveta
no flags Details
wrapper log same as import log (2.14 MB, application/octet-stream)
2019-03-14 19:53 UTC, Shveta
no flags Details
Import log (2.14 MB, application/octet-stream)
2019-03-14 19:53 UTC, Shveta
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github ManageIQ manageiq-v2v issues 885 0 None None None 2019-03-06 15:24:55 UTC
Red Hat Product Errata RHSA-2019:0796 0 None None None 2019-04-23 07:46:26 UTC

Comment 2 CFME Bot 2019-03-06 15:37:00 UTC
New commits detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/10259fb2c98a883d32bf3b4276bba3a7f811345a
commit 10259fb2c98a883d32bf3b4276bba3a7f811345a
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Mar  5 14:06:59 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Mar  5 14:06:59 2019 -0500

    Merge pull request #18506 from fdupont-redhat/v2v_download_wrapper_log

    [V2V] Allow downloading wrapper log file

    (cherry picked from commit 53076295d673ff9f62a3f20b22b1644cf4b8ce15)

    https://bugzilla.redhat.com/show_bug.cgi?id=1686045

 app/models/service_template_transformation_plan_task.rb | 19 +-
 spec/models/service_template_transformation_plan_task_spec.rb | 11 +-
 2 files changed, 20 insertions(+), 10 deletions(-)


https://github.com/ManageIQ/manageiq/commit/c3313d11d6fa49da0a4ecc4b2027131bcf37d88a
commit c3313d11d6fa49da0a4ecc4b2027131bcf37d88a
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Mar  5 16:45:17 2019 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Mar  5 16:45:17 2019 -0500

    Merge pull request #18524 from fdupont-redhat/v2v_download_log_task_priority

    [V2V] Use default queue priority for log download

    (cherry picked from commit 335fa687a68de54b6a3f06c397b8103a6ebf0104)

    https://bugzilla.redhat.com/show_bug.cgi?id=1686045

 app/models/service_template_transformation_plan_task.rb | 1 -
 1 file changed, 1 deletion(-)

Comment 3 CFME Bot 2019-03-06 15:39:50 UTC
New commits detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/9ad6be2a3efc7ce402160869afd604a42f45f038
commit 9ad6be2a3efc7ce402160869afd604a42f45f038
Author:     Mike Turley <mike.turley@alum.cs.umass.edu>
AuthorDate: Tue Mar  5 14:08:53 2019 -0500
Commit:     Mike Turley <mike.turley@alum.cs.umass.edu>
CommitDate: Tue Mar  5 14:08:53 2019 -0500

    Merge pull request #887 from fdupont-redhat/v2v_specify_migration_log_type

    V2v specify migration log type

    (cherry picked from commit e8713e2613b499c029cb3aa81788ec19a3530b5e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1686045

 app/controllers/migration_log_controller.rb | 3 +-
 1 file changed, 2 insertions(+), 1 deletion(-)


https://github.com/ManageIQ/manageiq-v2v/commit/48472f4f78e3113df527aafa2875e65fb33de61b
commit 48472f4f78e3113df527aafa2875e65fb33de61b
Author:     Mike Turley <mike.turley@alum.cs.umass.edu>
AuthorDate: Tue Mar  5 14:09:48 2019 -0500
Commit:     Mike Turley <mike.turley@alum.cs.umass.edu>
CommitDate: Tue Mar  5 14:09:48 2019 -0500

    Merge pull request #888 from mturley/885-download-wrapper-log

    [#885] Add Virt-v2v-wrapper log download menu item

    (cherry picked from commit 55ee3b8fe772597d11b5f6c43dee746389e6c9e7)

    https://bugzilla.redhat.com/show_bug.cgi?id=1686045

 app/javascript/react/screens/App/Plan/PlanActions.js | 13 +-
 app/javascript/react/screens/App/Plan/components/PlanRequestDetailList/PlanRequestDetailList.js | 10 +-
 2 files changed, 17 insertions(+), 6 deletions(-)

Comment 4 Shveta 2019-03-13 19:17:57 UTC
Verification blocked by https://bugzilla.redhat.com/show_bug.cgi?id=1688465

Comment 5 Fabien Dupont 2019-03-14 11:57:37 UTC
Could you manually apply the fix ? https://github.com/ManageIQ/manageiq-content/pull/513. It's in Automate, so no restart is needed.

Comment 6 Shveta 2019-03-14 19:52:39 UTC
Created attachment 1544172 [details]
Download wrapper log option is added to the menu

Comment 7 Shveta 2019-03-14 19:53:08 UTC
Created attachment 1544173 [details]
wrapper log same as import log

Comment 8 Shveta 2019-03-14 19:53:33 UTC
Created attachment 1544174 [details]
Import log

Comment 9 Shveta 2019-03-14 19:54:48 UTC
Downloaded wrapper log (attached) is same as Import log (attached).
The  wrapper log on conversion host is different from what is downloaded from UI.

Comment 11 Shveta 2019-03-15 02:15:13 UTC
Appliance - https://10.8.196.184
Please check v65-plan1

Comment 13 Daniel Berger 2019-04-03 14:46:09 UTC
https://github.com/ManageIQ/manageiq-v2v/pull/926

Comment 14 CFME Bot 2019-04-05 17:36:24 UTC
New commits detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/46eba2e504e81db8d96866c5b76550fe32577676
commit 46eba2e504e81db8d96866c5b76550fe32577676
Author:     Mike Turley <mike.turley@alum.cs.umass.edu>
AuthorDate: Wed Apr  3 14:01:44 2019 -0400
Commit:     Mike Turley <mike.turley@alum.cs.umass.edu>
CommitDate: Wed Apr  3 14:01:44 2019 -0400

    Merge pull request #926 from djberg96/transformation_log_fix

    Fix call to transformation_log_queue

    (cherry picked from commit 2f3137ca777a01608aba19e60100c2f517a7c624)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1686045

 app/controllers/migration_log_controller.rb | 9 +-
 1 file changed, 8 insertions(+), 1 deletion(-)

Comment 15 Shveta 2019-04-10 16:49:28 UTC
Working in 5.10.3.1.20190408182335_d0fa1a0

Comment 17 errata-xmlrpc 2019-04-23 07:46:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0796


Note You need to log in before you can comment on or make changes to this bug.